---
lang: en
title: 'API docs: security.defaultsubject.getprincipal'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.defaultsubject.getprincipal.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [DefaultSubject](./security.defaultsubject.md) &gt; [getPrincipal](./security.defaultsubject.getprincipal.md)

## DefaultSubject.getPrincipal() method

<b>Signature:</b>

```typescript
getPrincipal(type: string): Principal | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string |  |

<b>Returns:</b>

[Principal](./security.principal.md) \| undefined


